Get payable details
curl --request GET \
--url https://api.dots.dev/api/v2/accounts-payable/payables/{payable_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/accounts-payable/payables/{payable_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/accounts-payable/payables/{payable_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_history": [
{
"comment": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"user_id": 123,
"user_name": "<string>"
}
],
"amount": 123,
"ap_payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ap_payment_method_name": "<string>",
"ap_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ap_vendor_name": "<string>",
"api_app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"approval_steps": [
{
"completed": true,
"completed_timestamp": "2023-11-07T05:31:56Z",
"num_approvals_required": 123,
"user_approvals": [
{
"approval_comment": "<string>",
"approval_given": true,
"approval_timestamp": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": 123
}
]
}
],
"created": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"external_id": "<string>",
"file_url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"amount": 2,
"description": "<string>",
"name": "<string>",
"quantity": 2,
"unit_price": 2
}
],
"number": "<string>",
"status": "<string>",
"status_history": [
{
"timestamp": "2023-11-07T05:31:56Z"
}
],
"transfer_history": [
{
"created_timestamp": "2023-11-07T05:31:56Z",
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated": "2023-11-07T05:31:56Z"
}accounts-payable
Get payable details
Get details of a payable
GET
/
v2
/
accounts-payable
/
payables
/
{payable_id}
Get payable details
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the payable.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Total payable amount in cents.
Available options:
dots_balance, ach Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

